**************************************************
function DoEvents
**************************************************
/*
   Rich@autotraker.com - www.autotraker.com
   Checks for pending Windows messages for any window of 
   the current thread.

   I use this function within any tight loop. It can help 
   any place DBL is not yielding to windows.

   This function is like the Visual Basic function DoEvent()
   Use it in addition to setting _app.allowYieldOnMsg:=true.
   _app.allowYieldOnMsg set to true still doesn't yield 
   enough in tight loops or with externals such as API calls 
   and ActiveX controls. Also where switching away from an 
   active DBL process does not allow form refreshes
   and you end up with a blank or white out condition of 
   your form until the process terminates. Or any type or 
   kind of loop where you are not getting proper refresh of 
   a control or window. It allows these controls, window
   or form to be refreshed.

   I wish I could take credit for this function, but it 
   was based on functions contained within WinEvents.cc 
   by Nicholas Martin in the dUFLP.
      Typical usage would be someplace like:
      i = 0
      do while i < 100000
          ? i
          do :dUFLP:doEvents()
          i ++
      enddo
*/
   local lpMess
   // if this function exists, use it and return
   // otherwise, we will do the rest of the code
   if type("_app.executeMessages")=="FP"
       _app.executeMessages()
       return true
   endif

   #Include Windef.h
   if type( "DispatchMessage" ) # "FP"
      extern LONG DispatchMessage(CPTR) user32 ;
                  from "DispatchMessageA"
   endif
   if type( "PeekMessage" ) # "FP"
      extern BOOL PeekMessage(LPSTRUCTURE, CHWND, ;
                  UINT, UINT, UINT) user32 ;
                  from "PeekMessageA"
   endif
   if type( "TranslateMessage" ) # "FP"
      extern BOOL TranslateMessage(CPTR) user32
   endif
   lpMess = replicate( chr( 0 ) , 20 )

  try
      do while PeekMessage( lpMess, Null, 0, 0, 1 )
         TranslateMessage( lpMess )
         DispatchMessage( lpMess )
      enddo
  catch(exception e)
      // do nothing
  endtry
return true
