/*
    -----------------------------------------------------------
    custbuttSwedish.h
    February 11, 1999
    Ken Mayer
    Swedish Translation of "custButtEnglish.h" 
       by Ola Wallgren
	
    Updated 2001-09-17  EMPTYTABLE -> EMPTYTABLETEXT
			    FILTER -> FILTERTEXT

    This is an 'include' file with the speedTips and
    message box text for each of the buttons in CUSTBUTT.CC.
    The idea is that by defining them here, someone using
    another language can copy this file and translate the
    text in the .H file, and the only change necessary in
    CUSTBUTT.CC is the #INCLUDE statement to include
    the correct file.

    When translating, make sure you do NOT change the names
    of the constants ...

    Suggestion by Francesco Navarria, in Italy ...
    **********************************************************
    *** WARNING: If you are not using an ANSI language driver
    *** for your tables (at the Command window: ? LDRIVER()
    *** it should be obvkous) or have the setting:
    ***  LDRIVER=WINDOWS in your VDB.INI file (under the
    *** [CommandSettings] heading) do NOT attempt save
    *** this file ... you can wipe out the upper ANSI characters
    *** used. 
    **********************************************************
    -----------------------------------------------------------
*/

// ----------------------------------------------------------
// navigation buttons:
                                //"First row in rowset"
#define TOPTIP                  "Frsta raden i datat"
                                //"Previous row in rowset"
#define PREVTIP                 "Fregende rad i datat"
                                 //"Next row in rowset"
#define NEXTTIP                 "Nsta rad i datat"
                                //"Last row in rowset"
#define ENDTIP                  "Sista raden i datat"

// ----------------------------------------------------------
// editing buttons:
                                //"Add new row"
#define ADDTIP                  "Lgg till en ny rad"
                                //"Copy data to a new Row"
#define CARRYTIP                "Kopiera data till en ny rad"
                                //"Edit current row"
#define EDITTIP                 "ndra aktuell rad"
                                //"Save current row"
#define SAVETIP                 "Spara aktuell rad"
                                //"Delete current row"
#define DELETETIP               "Radera aktuell rad"
                                //"Abandon changes to row"
#define ABANDONTIP              "Avbryt ndringar i raden"

// ----------------------------------------------------------
// filter/locate buttons:
                                //"Filter/Run/Clear Filter"
#define FILTERTIP               "Filtrera/Kr/Rensa Filtervillkor"
                                //"Locate/Run/Clear Locate"
#define LOCATETIP               "Sk/Kr/Rensa Skvillkor"

// ----------------------------------------------------------
// clipboard buttons:
                                //"Cut selected text"
#define CUTTIP                  "Klipp ur vald text"
                                //"Copy selected text"
#define COPYTIP                 "Kopiera vald text"
                                //"Paste from clipboard"
#define PASTETTIP               "Klistra in"

// ----------------------------------------------------------
// misc. buttons:
                                //"Close this form"
#define CLOSETIP                "Stng detta fnster"
                                //"Yes"
#define YESTIP                  "Ja"
                                //"No"
#define NOTIP                   "Nej"
                                //"Cancel"
#define CANCELTIP               "Avbryt"
                                //"Question? Help?"
#define QUESTIONTIP             "Frgor? Hjlp?"
                                //"Run"
#define RUNTIP                  "Kr"
                                //"Information"
#define INFOTIP                 "Information"
                                //"Restore from disk"
#define RESTOREFROMDISKTIP      "Hmta frn disk"
                                //"Save to disk"
#define SAVETODISKTIP           "Spara till disk"
                                //"Open file ..."
#define OPENFILETIP             "ppna fil ..."
                                //"Tool Button"
#define TOOLBUTTONTIP           "Verktygsknapp"
                                //"Print"
#define PRINTTIP                "Skriv"
                                //"Search"
#define SEARCHTIP               "Sk"
                                //"Continue search"
#define SEARCHAGAINTIP          "Fortstt ska"
                                //"Replace"
#define REPLACETIP              "Erstt"
                               //"Exit"
#define EXITTIP                 "Avsluta"
                                //"First Page"
#define FIRSTPAGETIP            "Frsta sidan"
                                //"Next Page"
#define NEXTPAGETIP             "Nsta sida"
                                //"Previous Page"
#define PREVIOUSPAGETIP         "Fregende sida"
                                //"The Light Goes Off"
#define LIGHTBULBTIP            "Slcker lampan"


// ----------------------------------------------------------
// strings used in dialog boxes in CUSTBUTT.CC
// ----------------------------------------------------------

// This one appears as the title for various dialogs
                                //"Can't do it!"
#define CANTDOIT                "Kan inte utfra detta!"

// ----------------------------------------------------------
// One of these appears anytime we check to see if the rowset
// is null, and is the text in the messagebox
                                //"Cannot Navigate with no rowset!"
#define NAVNOROWSET             "Kan inte navigera utan data!"
                                //"Cannot add rows with no rowset!"
#define ADDNOROWSET             "Kan inte lgga till rader utan data!"
                                //"Cannot copy rows on a form without a rowset!"
#define COPYNOROWSET            "Kan iinte kopiera rader utan data!"
                                //"Cannot update rows on a form without a rowset!"
#define EDITNOROWSET            "Kan inte uppdatera rader utan data!"
                                //"Cannot save changes to rows on a form without a rowset!"
#define SAVENOROWSET            "Kan inte lagra ndringar i en rad utan data!"
                                //"Cannot save delete rows on a form without a rowset!"
#define DELETENOROWSET          "Kan inte spara raderade rader utan data!"
                                //"Cannot abandon changes to rows on a form without a rowset!"
#define ABANDONNOROWSET         "Kan inte avbryta ndringar i rader utan data!"
                                //"Cannot filter an empty or missing rowset!"
#define FILTERNOROWSET          "Kan inte filtrera en tom eller saknad rad!"
                                //"Cannot perform a locate with no rowset!"
#define LOCATENOROWSET          "Kan inte utfra leta utan data!"

// ----------------------------------------------------------
// this is the title and message when the user attempts
// to navigate or close a form and the data has
// changed ...
                                //"Data has changed"
#define DATACHANGED             "Data har ndrats"
                                //"Save changes before leaving record?"
#define SAVECHANGES             "Spara ndringarna innan posten lmnas?"

// ----------------------------------------------------------
// Title when user can't navigate:
                                //"Can't Navigate!"
#define CANTNAVIGATE            "Kan inte navigera!"

// ----------------------------------------------------------
// Other messages ...
                                //"You are in filter mode"
#define INFILTERMODE            "Du r i filter mode"
                                //"You are in locate mode"
#define INLOCATEMODE            "Du r i leta mode"
                                //"At first row in rowset"
#define ATFIRSTROW              "P frsta raden i datat"
                                //"At last row in rowset"
#define ATLASTROW               "P sista raden i datat"
                                //"Row is copied -- you are in append mode. Make changes and save or abandon new row."
#define ROWISCOPIED             "Raden har kopierats -- du r i lgg till mode.  Utfr ndringarna och lagra eller avbryt ny rad."
                                //"Cannot Save edits/new row when you weren't editing/adding"
#define ROWLOCKED               "Raden ndras av ngon annan. Frsk igen senare!"
                                //"Cannot Save edits/new row when you weren't editing/adding"
#define NOTEDITING              "Kan inte lagra ndringarna/ny rad nr du inte har ndrat eller lagt till"
                                //"Key Violation - That Key already exists."
#define KEYVIOLATION            "Nyckel fel - Denna nyckel finns redan."
                                //"Unknown error -- "
#define UNKNOWNERROR            "Oknt fel -- "
                                //"You are about to delete the current row." + CHR(13) + "Click Yes to delete the current row."
#define DELETEYESNO             "Du kommer att radera aktuell rad." + CHR(13) + "Klicka p Ja fr att radera  aktuell rad."
                                //"Nothing to delete!"
#define NOTHINGTODELETE         "Ingenting att radera!"
                                //"Abandoning the row will cancel the filter!"
#define ABANDONWILLCANCELFILTER "Avbryta raden kommer att upphva filtret!"
                                //"Abandoning the row will cancel the locate!"
#define ABANDONWILLCANCELLOCATE "Avbryta raden kommer att upphva leta mode!"
                                //"Cannot Abandon edits/new row when you weren't editing/adding!"
#define NOTHINGTOABANDON        "Kan inte avbryta ndring/ny rad nr du inte har ndrat/lagt till!"
                                //"No Match"
#define NOMATCH                 "Finns inte"
                                //"Exit from filter mode!"
#define EXITFROMFILTER          "G ur filter mode!"
                                //"No more matches!"
#define NOMOREMATCHES           "Ingen fler trff!"
                                //"Can't search in memo field!"
#Define CANTSEARCHINMEMO	     "Kan inte ska i memoflt!"
                                //"Can't filter on a memo field!"
#define CANTFILTERINMEMO	     "Kan inte skapa filter p memo flt!"

// ------------------------------------------------------------
// Misc Titles
                                //"Can't Add a new row!"
#define CANTADDROW              "Kan inte lgga till ny rad!"
                                //"Can't Copy row!"
#define CANTCOPYROW             "Kan inte kopiera rad!"
                                //"Copy complete"
#define COPYCOMPLETE            "Kopiering frdig"
                                //"Can't Edit row!"
#define CANTEDITROW             "Kan inte ndre rad!"
                                //"Can't Save row!"
#define CANTSAVEROW             "Kan inte spara rad!"
                                //"No changes to save!"
#define NOCHANGES               "Inga ndringer att spara!"
                                //"Can't Delete row!"
#define CANTDELETEROW           "Kan inte radera rad!"
                                //"Alert"
#define ALERT                   "Alert"
                                //"Empty table"
#define EMPTYTABLETEXT              "Tm tabell"
                                //"Cancel Filter?"
#define CANCELFILTER            "Avbryt filter?"
                                //"Cancel Locate?"
#define CANCELLOCATE            "Avbryt leta?"
                                //"Can't abandon row!"
#define CANTABANDONROW          "Kan inte avbryta rad!"
                                //"Can't set a filter!"
#define CANTSETFILTER           "Kan inte skapa filter!"
                                //"Filter"
#define FILTERTEXT                  "Filter"
                                //"Can't start a search!"
#define CANTSEARCH              "Kan inte starta skningen!"
                                //"Search"
#define SEARCH                  "Sk"

// -----------------------------------------------------------
// kmRowState -- states:
				                    //"Closed"
#define STATECLOSED             "Stngt"
                                // "View" // "Browse" == "Se p" 
#define STATEVIEW               "Titta" 
                                //"Edit"
#define STATEEDIT               "ndra"
                                //"Append"
#define STATEAPPEND             "Lgg till"
                                //"Filter"
#define STATEFILTER             "Filter"
                                //"Locate"
#define STATELOCATE             "Leta"


// -----------------------------------------------------------
// End of header file: custButtSwedish.h
// -----------------------------------------------------------

