/*
    -----------------------------------------------------------
    custbuttTurkish.h
    February 18, 1999
    Ken Mayer
    Turkish Translation of "custButtEnglish.h" 
       by Erhan ner - teknodem@superonline.com

     *** Note: you should copy this file to your
     ..\Visual dBASE\INCLUDE directory for it to
     be used properly by all of your applications.

    This is an 'include' file with the speedTips and
    message box text for each of the buttons in CUSTBUTT.CC.
    The idea is that by defining them here, someone using
    another language can copy this file and translate the
    text in the .H file, and the only change necessary in
    CUSTBUTT.CC is the #INCLUDE statement to include
    the correct file.

    When translating, make sure you do NOT change the names
    of the constants ...

    *****************
    November 11, 2000
    *****************
    NOTE: If you update your application to use the 
    CUSTBUTT.CC file from dUFLP version 2KC (DUFLP2KC.EXE),
    then you MUST update your .H file -- this is a fix based
    on a discovery that EMPTYTABLE and FILTER strings could
    cause problem in code that used the database object
    emptyTable method, or the rowset object's filter property.
    These strings are defined as EMPTYTABLETEXT and FILTERTEXT
    now, and will not cause a conflict.

    Suggestion by Francesco Navarria, in Italy ...
    **********************************************************
    *** WARNING: If you are not using an ANSI language driver
    *** for your tables (at the Command window: ? LDRIVER()
    *** it should be obvkous) or have the setting:
    ***  LDRIVER=WINDOWS in your VDB.INI file (under the
    *** [CommandSettings] heading) do NOT attempt save
    *** this file ... you can wipe out the upper ANSI characters
    *** used. 
    **********************************************************
    -----------------------------------------------------------
*/

// ----------------------------------------------------------
// navigation buttons:
                                //"First row in rowset"
#define TOPTIP                  "lk Sra"
                                //"Previous row in rowset"
#define PREVTIP                 "Bir nceki Sra"
                                 //"Next row in rowset"
#define NEXTTIP                 "Bir Sonraki Sra"
                                //"Last row in rowset"
#define ENDTIP                  "Son Sra"

// ----------------------------------------------------------
// editing buttons:
                                //"Add new row"
#define ADDTIP                  "Yeni Satr Ekle"
                                //"Copy data to a new Row"
#define CARRYTIP                "Verileri Yeni Satra Kopyala"
                                //"Edit current row"
#define EDITTIP                 "Mevcut Satr Dzelt"
                                //"Save current row"
#define SAVETIP                 "Mevcut Satr Kaydet"
                                //"Delete current row"
#define DELETETIP               "Mevcut Satr Sil"
                                //"Abandon changes to row"
#define ABANDONTIP              "Satrdaki Dzeltmeleri ptal Et"

// ----------------------------------------------------------
// filter/locate buttons:
                                //"Filter/Run/Clear Filter"
#define FILTERTIP               "Filtrele/altr/Filtreyi Kaldr"
                                //"Locate/Run/Clear Locate"
#define LOCATETIP               "Ara/altr/Aramay ptal Et"

// ----------------------------------------------------------
// clipboard buttons:
                                //"Cut selected text"
#define CUTTIP                  "eilen Metni Kes"
                                //"Copy selected text"
#define COPYTIP                 "Seilen Metni Kopyala"
                                //"Paste from clipboard"
#define PASTETTIP               "Yaptr"

// ----------------------------------------------------------
// misc. buttons:
                                //"Close this form"
#define CLOSETIP                "Bu Formu Kapat"
                                //"Yes"
#define YESTIP                  "Evet"
                                //"No"
#define NOTIP                   "Hayr"
                                //"Cancel"
#define CANCELTIP               "ptal"
                                //"Question? Help?"
#define QUESTIONTIP             "Soru?  Yardm?"
                                //"Run"
#define RUNTIP                  "altr"
                                //"Information"
#define INFOTIP                 "Bilgi"
                                //"Restore from disk"
#define RESTOREFROMDISKTIP      "Diskten Geri Ykle"
                                //"Save to disk"
#define SAVETODISKTIP           "Diske Kaydet"
                                //"Open file ..."
#define OPENFILETIP             "Dosyay A ..."
                                //"Tool Button"
#define TOOLBUTTONTIP           "Ara Dmesi"
                                //"Print"
#define PRINTTIP                "Yazdr"
                                //"Search"
#define SEARCHTIP               "Aratr"
                                //"Continue search"
#define SEARCHAGAINTIP          "Aratrmaya Devam Et"
                                //"Replace"
#define REPLACETIP              "Deitir"
                               //"Exit"
#define EXITTIP                 "k"
                                //"First Page"
#define FIRSTPAGETIP            "lk Sayfa"
                                //"Next Page"
#define NEXTPAGETIP             "Son Sayfa"
                                //"Previous Page"
#define PREVIOUSPAGETIP         "Bir nceki Sayfa"
                                //"The Light Goes Off"
#define LIGHTBULBTIP            "Ik Sner"


// ----------------------------------------------------------
// strings used in dialog boxes in CUSTBUTT.CC
// ----------------------------------------------------------

// This one appears as the title for various dialogs
                                //"Can't do it!"
#define CANTDOIT                "Bunu Yapamaz!"

// ----------------------------------------------------------
// One of these appears anytime we check to see if the rowset
// is null, and is the text in the messagebox
                                //"Cannot Navigate with no rowset!"
#define NAVNOROWSET             "Veri Satr Mevcut Olmakszn leri ve Geriye Hareket Edilemez!"
                                //"Cannot add rows with no rowset!"
#define ADDNOROWSET             "Veri Satr Mevcut Olmakszn Satrlar Ekleyemez!"
                                //"Cannot copy rows on a form without a rowset!"
#define COPYNOROWSET            "Veri Satr Mevcut Olmayan Bir Formda Satrlar Kopyalayamaz!"
                                //"Cannot update rows on a form without a rowset!"
#define EDITNOROWSET            "Veri Satr Mevcut Olmayan Bir Formda Satrlar Gncelletiremez!"
                                //"Cannot save changes to rows on a form without a rowset!"
#define SAVENOROWSET            "Veri Satr Olmayan Bir Formda Satrlardaki Deiiklikleri Kaydedemez!"
                                //"Cannot save delete rows on a form without a rowset!"
#define DELETENOROWSET          "Veri Satr Olmayan Bir Formda Satrlar Silemez!"
                                //"Cannot abandon changes to rows on a form without a rowset!"
#define ABANDONNOROWSET         "Veri Satr Olmayan Bir Formda Satrlarda Yaplan Deiiklikleri ptal Edemez !"
                                //"Cannot filter an empty or missing rowset!"
#define FILTERNOROWSET          "Mevcut Olmayan veya Bo Bir Veri Satrn Filtreleyemez!"
                                //"Cannot perform a locate with no rowset!"
#define LOCATENOROWSET          "Veri Satr Mevcut Olmakszn Arama Gerekletiremez!"

// ----------------------------------------------------------
// this is the title and message when the user attempts
// to navigate or close a form and the data has
// changed ...
                                //"Data has changed"
#define DATACHANGED             "Veriler Deiti"
                                //"Save changes before leaving record?"
#define SAVECHANGES             "Kayd Terketmeden nce Deiiklikleri Kaydetmek ster misiniz?"

// ----------------------------------------------------------
// Title when user can't navigate:
                                //"Can't Navigate!"
#define CANTNAVIGATE            "leri ve Geriye Hareket Edilemez!"

// ----------------------------------------------------------
// Other messages ...
                                //"You are in filter mode"
#define INFILTERMODE            "Filtrelenmi Moddasnz"
                                //"You are in locate mode"
#define INLOCATEMODE            "Arama Modundasnz"
                                //"At first row in rowset"
#define ATFIRSTROW              "Veri Satrnn lk Srasndasnz"
                                //"At last row in rowset"
#define ATLASTROW               "Veri Satrnn Son Srasndasnz"
                                //"Row is copied -- you are in append mode. Make changes and save or abandon new row."
#define ROWISCOPIED             "Veri Satr Kopyalanmtr -- Yeni Satr Ekleme Modundasnz. Yeni Deiiklikler Yapnz ve Kaydediniz veya Yeni Satr ptal Ediniz."

#define ROWLOCKED               "Row is being edited by another. Try again later."
                                //"Cannot Save edits/new row when you weren't editing/adding"
#define NOTEDITING              "Dzeltmeleri Kaydedemez/Dzeltmelerini Yapmadnz Yeni Satr Kaydedemez/Eklemeyi Kaydedemez"
                                //"Key Violation - That Key already exists."
#define KEYVIOLATION            "Anahtar Kelime htilaf - Bu Anahtar Kelime Daha nceden Mevcuttur'."
                                //"Unknown error -- "
#define UNKNOWNERROR            "Bilinmeyen Hata -- "
                                //"You are about to delete the current row." + CHR(13) + "Click Yes to delete the current row."
#define DELETEYESNO             "Mevcut Satr Silmek zeresiniz." + CHR(13) + "Mevcut Satr Silmek in 'Evet' Tuuna Basnz."
                                //"Nothing to delete!"
#define NOTHINGTODELETE         "Silinecek Birey Yok!"
                                //"Abandoning the row will cancel the filter!"
#define ABANDONWILLCANCELFILTER "Satr Terketmek Filtereyi ptal Edecektir!"
                                //"Abandoning the row will cancel the locate!"
#define ABANDONWILLCANCELLOCATE "Satr Terketmek Aramay ptal Edecektir!"
                                //"Cannot Abandon edits/new row when you weren't editing/adding!"
#define NOTHINGTOABANDON        "Dzeltmeleri ptal Edemez/Dzeltmelerini Yapmadnz Yeni Satr ptal Edemez/Eklemeyi ptal Edemez!"
                                //"No Match"
#define NOMATCH                 "Edeerini Bulamad"
                                //"Exit from filter mode!"
#define EXITFROMFILTER          "Filtre Modundan k!"
                                //"No more matches!"
#define NOMOREMATCHES           "Baka Edeer Kayt Mevcut Deildir!"
                                // "Can't search in memo field!"
#define CANTSEARCHINMEMO        "MEMO alannda aratrma yapamaz!"
                                 // "Can't filter on a memo field!"
#define CANTFILTERINMEMO        "MEMO alanna gre filtreleme yapamaz!" 

// ------------------------------------------------------------
// Misc Titles
                                //"Can't Add a new row!"
#define CANTADDROW              "Yeni Bir Satr Ekleyemez!"
                                //"Can't Copy row!"
#define CANTCOPYROW             "Satr Kopyalayamaz!"
                                //"Copy complete"
#define COPYCOMPLETE            "Kopyalama Tamamlanmtr"
                                //"Can't Edit row!"
#define CANTEDITROW             "Satr Dzeltemez!"
                                //"Can't Save row!"
#define CANTSAVEROW             "Satr Kaydedemez!"
                                //"No changes to save!"
#define NOCHANGES               "Kaydedecek Deiiklik Mevcut Deildir!"
                                //"Can't Delete row!"
#define CANTDELETEROW           "Satr Silemez!"
                                //"Alert"
#define ALERT                   "Uyar"
                                //"Empty table"
#define EMPTYTABLETEXT          "Bo Veri Taban"
                                //"Cancel Filter?"
#define CANCELFILTER            "Filtreyi ptal Etmek stiyor musunuz?"
                                //"Cancel Locate?"
#define CANCELLOCATE            "Aramay ptal Etmek stiyor musunuz?"
                                //"Can't abandon row!"
#define CANTABANDONROW          "Satr ptal Edemez!"
                                //"Can't set a filter!"
#define CANTSETFILTER           "Filtreleyemez!"
                                //"Filter"
#define FILTERTEXT              "Filtrele"
                                //"Can't start a search!"
#define CANTSEARCH              "Aratrmay Balatamaz!"
                                //"Search"
#define SEARCH                  "Ara/Bul"

// -----------------------------------------------------------
// kmRowState -- states:
//"Closed"
#define STATECLOSED             "Kapal"
                                //"View" // or "Browse"
#define STATEVIEW               "Grntle" // or "Browse"
                                //"Edit"
#define STATEEDIT               "Dzelt"
                                //"Append"
#define STATEAPPEND             "Ekle"
                                //"Filter"
#define STATEFILTER             "Filtrele"
                                //"Locate"
#define STATELOCATE             "Ara"

// -----------------------------------------------------------
// End of header file: custButtTurkish.h
// -----------------------------------------------------------
