/*
  RView.prg
  By Peter Rorlick
  Native-classes version for VdB 7.01
  Usage: (from Command Window:)  RView( cTable, [cTag] )
     or:                         RView( oRowset )
     or:                         RView( oQuery )
  Returns a reference to the Query object.
*/
parameter cTable, cTag

if pCount() ==0
   msgbox( "Need a parameter, such as: RView( 'tablename' ) -- see comments" )
   return
endif

local f, oRowset
f = new ViewRwstForm()


if type('cTable') == 'O'
  // If the 1st param is an object, we'll assume that
  // it's a rowset or a query.
  if 'QUERY' $ cTable.className
    if cTable.active = false
      cTable.active := true
    endif
    oRowset = cTable.rowset
  else   // else we assume cTable is a rowset...
    oRowset = cTable
  endif
else
  // Else we assume that it's a string containing
  // the name of the DBF.
  f.q = new Query()
  f.q.sql := 'Select * from '+cTable
  f.q.active := true
  oRowset = f.q.rowset
endif

f.text := oRowset.parent.sql

if type('cTag') == 'C'  // if the tag was specified...
  oRowset.indexName := cTag
  f.text += ' (indexName = '+cTag+')'
endif

oRowset.first()
f.rowset := oRowset
f.Grid1.datalink := oRowset
f.open()
return oRowset.parent  // Return the Query object
***************************************************
** END HEADER -- do not remove this line
//
// Generated on 03/02/98
//
parameter bModal
local f
f = new ViewRwstForm()
if (bModal)
   f.mdi = false // ensure not MDI
   f.readModal()
else
   f.open()
endif

class ViewRwstForm of FORM
   with (this)
      height = 14
      left = 34
      top = 5
      width = 70
      text = ""
   endwith

   this.GRID1 = new GRID(this)
   with (this.GRID1)
      anchor = 6 // Container
      bgColor = '0X80FFFF'
      cellHeight = .8
   endwith

endclass
